#import "BaseClass.h"

@implementation BaseClass


-(id)initWithName:(NSString *)aName andMenu:(NSPopUpButtonCell *)aMenu
{
	self = [super init];
	if (self != nil) {
		[self setName:aName];
		[self setMenu:aMenu];
	}
	return self;
}

-(void)setName:(NSString *)newName
{
	if (name != nil) {
		[name release];
	}
	name = [newName retain];
}

-(void)setMenu:(NSPopUpButtonCell *)newMenu
{
	if (menu != nil) {
		[menu release];
	}
	menu = [newMenu retain];
}

-(NSString *)getName
{
	return name;
}

-(NSPopUpButtonCell *)getMenu
{
	return menu;
}

- (void) dealloc {
	[name release];
	[menu release];
	[super dealloc];
}

@end

