#import "DataSource.h"

@implementation DataSource


- (id) init {
	self = [super init];
	if (self != nil) {
		contents = [NSMutableArray new];
		
		NSMenu *menu = [[NSMenu alloc]initWithTitle:@"Menu1"];
		[menu addItemWithTitle:@"item1" action:nil keyEquivalent:@""];
		[menu addItemWithTitle:@"item2" action:nil keyEquivalent:@""];
		
		NSPopUpButtonCell *cell = [NSPopUpButtonCell new];
		
		[cell setMenu:menu];
		
		BaseClass *alpha = [[BaseClass alloc]initWithName:@"class1" andMenu:cell];
		
		[contents addObject:alpha];
	}
	return self;
}

-(void)awakeFromNib
{
	
	[tableView reloadData];
	
}

-(IBAction)add:(id)sender
{

}

-(int)numberOfRowsInTableView:(NSTableView *)tableView
{
	return [contents count];
}

-(id)tableView:(NSTableView *)tableView
objectValueForTableColumn:(NSTableColumn *)tableColumn
		   row:(int)row
{
	NSString *identifier = [tableColumn identifier];
	return [[contents objectAtIndex:row]valueForKey:identifier];
	
	//return [alpha valueForKey:identifier];
}

@end
